Repository 32bit  Forum
Repository 64bit  Wiki

[RISOLTO]liblua.so problem...aiuto nell-installazione

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

[RISOLTO]liblua.so problem...aiuto nell-installazione

Messaggioda TuxInTheMiddle » sab feb 11, 2012 8:38

Salve a tutti...ho reinstallato slackware dopo un periodo della mia vita spesa con ubuntu...ma niente da fare, slacky ha un fascino tutto suo, poi con fluxbox é da uscire di testa........comunque passiamo ai problemini...ho installato wireshark (prelevato il pacchetto dalle repo del sito), ma all avvio mi da problemi e non parte dicendo che non trova la liblua.so...ottimo, decido di installarla, solo che non riesco...l'ho cercata su google e ho trovato uno script che mi si blocca ad un certo punto...ho allora scaricato anche il package dal sito di lua, ma mi da problemi il make install che mi suggerisce l allegato file INSTALL...magari sono io che ho disimparato a gestire ste dipendenze...qualcuno puo aiutare un vecchio slacky user che ha fatto l errore di passare a ubuntu per un po?grazie...

Ho risolto lo step precedente, solo che nel prosequio dell'installazione mi dice che la CPU specificata non supporta instruction set da 64 bit...cosa falsa, visto che la CPU supporta istruzioni da 64 bit...ho anche installato slackware a 64 bit...ma a sto punto porbabilmente devo procurarmi un altro pacchetto per liblua.so, che ne dite?potete darmi consigli?sto seguendo la giusta strada?
Ultima modifica di TuxInTheMiddle il dom feb 12, 2012 9:00, modificato 1 volta in totale.
TuxInTheMiddle
Linux 1.0
Linux 1.0
 
Messaggi: 25
Iscritto il: ven feb 10, 2012 23:05
Slackware: x86_64 - current
Kernel: 3.8.8
Desktop: fluxbox

Re: liblua.so problem...aiuto nell-installazione

Messaggioda erio » sab feb 11, 2012 14:03

se dai uno sguardo ai repository il pacchetto lua c'e' 32 o 64 bit,se non hai esigenze di installazione particolari,i pacchetti standard sono ok.
erio
Linux 3.x
Linux 3.x
 
Messaggi: 1086
Iscritto il: ven ott 09, 2009 18:25
Slackware: 13.37
Kernel: 3.0.7
Desktop: kde

Re: liblua.so problem...aiuto nell-installazione

Messaggioda miklos » sab feb 11, 2012 14:15

non ho capito se hai scaricato i pacchetti dal repository slacky, oppure stai compilando dai sorgenti.. in ogni caso sono entrambi disponibili sia a 32 che a 64 bit.
se invece vuoi compilarteli da solo sarebbe piu' utile che postassi i log degli errori che ricevi + comandi che usi.
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1273
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2

Re: liblua.so problem...aiuto nell-installazione

Messaggioda TuxInTheMiddle » sab feb 11, 2012 23:27

Avevo scaricato uno slack build per installare la liblua.so, ma mancava un file (lua_enable_shared_libs), così ho scaricato anche quello e successivamente mi ha dato il problema della CPU sbagliata, ma come mi avete suggerito sarà sicuramente un problema di versione (magari ho scaricato quella a 32 bit?), quindi devo scaricare quella a 64...solo che ora non ho slacky davanti...domani proverò, e sono quasi sicuro che si possa marcare il topic come RISOLTO (ma aspetterò fino a domaniXD)...grazie...


[EDIT] => Installato il pacchetto lua ho trovato altre dipendenze da dover soddisfare, ma tutto ok...problema risolto...grazie a tutti...
TuxInTheMiddle
Linux 1.0
Linux 1.0
 
Messaggi: 25
Iscritto il: ven feb 10, 2012 23:05
Slackware: x86_64 - current
Kernel: 3.8.8
Desktop: fluxbox


Torna a Packages

Chi c’è in linea

Visitano il forum: Google [Bot], Yahoo [Bot] e 1 ospite

cron